%global commit 8baf151182add310afcc377cda35939dfe0529e5
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           eclipse-m2e-plexus
Version:        0.15.0
Release:        0.11.git%{shortcommit}%{?dist}
Summary:        M2E Plexus connector
License:        EPL
URL:            https://github.com/tesla/m2eclipse-plexus/
BuildArch:      noarch

Source0:        https://github.com/tesla/m2eclipse-plexus/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz

BuildRequires:  maven-local
BuildRequires:  mvn(io.tesla.tycho:tycho-support:pom:)
BuildRequires:  osgi(com.ibm.icu)
BuildRequires:  osgi(org.eclipse.core.resources)
BuildRequires:  osgi(org.eclipse.core.runtime)
BuildRequires:  osgi(org.eclipse.jdt.core)
BuildRequires:  osgi(org.eclipse.m2e.core)
BuildRequires:  osgi(org.eclipse.m2e.jdt)
BuildRequires:  osgi(org.eclipse.m2e.maven.runtime)
BuildRequires:  osgi(slf4j.api)

Enhances:       eclipse-m2e-core

%description
This package provides Plexus connector for Eclipse M2E.

%prep
%setup -q -n m2eclipse-plexus-%{commit}
find -name *.jar -delete

# Tests are skipped because of missing dependencies:
# osgi(org.eclipse.m2e.tests.common)
%pom_disable_module org.sonatype.m2e.plexus.annotations.tests

# SLF4J in Fedora uses a different BSN
sed -i s/org.slf4j.api/slf4j.api/ $(find -name *.MF)

%build
%mvn_build -j

%install
%mvn_install

%files -f .mfiles
%doc org.sonatype.m2e.plexus.annotations.feature/license.html

%changelog
* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.0-0.11.git8baf151
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.0-0.10.git8baf151
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.0-0.9.git8baf151
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.0-0.8.git8baf151
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Oct 19 2015 Mikolaj Izdebski <mizdebsk@redhat.com> - 0.15.0-0.7.git8baf151
- Add Enhances: eclipse-m2e-core

* Thu Oct 15 2015 Mat Booth <mat.booth@redhat.com> - 0.15.0-0.6.git8baf151
- Update to latest snapshot

* Mon Sep 14 2015 Roland Grunberg <rgrunber@redhat.com> - 0.15.0-0.5.git37ec013
- Rebuild as an Eclipse p2 Droplet.

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15.0-0.4.git37ec013
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Sep 10 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 0.15.0-0.3.git37ec013
- Install with XMvn

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15.0-0.2.git37ec013
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Jan 28 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 0.15.0-0.1.git37ec013
- Initial commit
